.joystick-outer {
    width: 100px;
    height: 100px;
    position: relative;

    background-color: rgba(0,0,0, .7);
    border-radius: 50%;
    user-select: none;
    visibility: visible;

    border-width: 2px;
    border-color: white;
    border-style: solid;
    box-shadow: 0 0 1px 0px white inset, 0 0 1px 0px white;
    opacity: .5;
    transition: opacity .4s;
}

.joystick-active {
    opacity: .8;
}

.joystick-inner {
    width: 50%;
    height: 50%;
    border-radius: 50%;

    transform: translateX(25px) translateY(25px);
    user-select: none;

    background: white;
    border-width: 2px;
    border-color: black;
    border-style: solid;
    box-shadow: 0 0 1px 0px white inset, 0 0 1px 0px white;
}

.joystick-wrapper {
    user-select: none;
    background: transparent;

    position: absolute;
    top: 0px;
    left: calc(1000px - 50vw);
    width: 100vw;
    height: 100vh;
}
